Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.html
Class RDFMergerTest

    java.lang.Object
      org.apache.any23.extractor.html.AbstractExtractorTestCase
          org.apache.any23.extractor.html.RDFMergerTest

    public class RDFMergerTest

extends AbstractExtractorTestCase

Reference Test class for various mixed extractors.

Author:
  Davide Palmisano (dpalmisano@gmail.com)
See Also:
  `GeoExtractor`, `AdrExtractor`, `HCardExtractor`, `HReviewExtractor`

Field Summary

Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`baseURI`

Constructor Summary
`RDFMergerTest()`

Method Summary
`protected void` | `extract(String filename)` Applies the extractor provided by the `AbstractExtractorTestCase.getExtractorFactory()` to the specified resource.
`protected org.apache.any23.extractor.ExtractorFactory<?>` | `getExtractorFactory()`
`void` | `test01Basic()`
`void` | `test01XFNFoaf()`
`void` | `test02RatedTags()`
`void` | `test03NoHcardForItem()`
`void` | `testAbbrTitleEverything()`
`void` | `testAdr()`
`void` | `testAncestors()`
`void` | `testGeoAbbr()`
`void` | `testNoMicroformats()`
`void` | `testSingleton()`

Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertError, assertExtracts, assertModelEmpty, assertModelNotEmpty, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getErrors, getReport, getStatements, getStatementsSize, setUp, tearDown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFMergerTest

    public RDFMergerTest()

Method Detail

### getExtractorFactory

    protected org.apache.any23.extractor.ExtractorFactory<?> getExtractorFactory()

  Specified by:
    `getExtractorFactory` in class `AbstractExtractorTestCase`
  Returns:
    the factory of the extractor to be tested.

### testNoMicroformats

    public void testNoMicroformats()
                            throws org.openrdf.repository.RepositoryException,
                                   org.apache.any23.extractor.ExtractionException,
                                   IOException

  Throws:
    `org.openrdf.repository.RepositoryException`
    `org.apache.any23.extractor.ExtractionException`
    `IOException`

### test01XFNFoaf

    public void test01XFNFoaf()
                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testAbbrTitleEverything

    public void testAbbrTitleEverything()
                                 throws org.apache.any23.extractor.ExtractionException,
                                        IOException,
                                        org.openrdf.repository.RepositoryException

  Throws:
    `org.apache.any23.extractor.ExtractionException`
    `IOException`
    `org.openrdf.repository.RepositoryException`

### testAdr

    public void testAdr()
                 throws org.apache.any23.extractor.ExtractionException,
                        IOException,
                        org.openrdf.repository.RepositoryException

  Throws:
    `org.apache.any23.extractor.ExtractionException`
    `IOException`
    `org.openrdf.repository.RepositoryException`

### testGeoAbbr

    public void testGeoAbbr()
                     throws org.apache.any23.extractor.ExtractionException,
                            IOException,
                            org.openrdf.repository.RepositoryException

  Throws:
    `org.apache.any23.extractor.ExtractionException`
    `IOException`
    `org.openrdf.repository.RepositoryException`

### testAncestors

    public void testAncestors()
                       throws org.apache.any23.extractor.ExtractionException,
                              IOException,
                              org.openrdf.repository.RepositoryException

  Throws:
    `org.apache.any23.extractor.ExtractionException`
    `IOException`
    `org.openrdf.repository.RepositoryException`

### testSingleton

    public void testSingleton()
                       throws org.apache.any23.extractor.ExtractionException,
                              IOException,
                              org.openrdf.repository.RepositoryException

  Throws:
    `org.apache.any23.extractor.ExtractionException`
    `IOException`
    `org.openrdf.repository.RepositoryException`

### test01Basic

    public void test01Basic()
                     throws org.apache.any23.extractor.ExtractionException,
                            IOException,
                            org.openrdf.repository.RepositoryException

  Throws:
    `org.apache.any23.extractor.ExtractionException`
    `IOException`
    `org.openrdf.repository.RepositoryException`

### test02RatedTags

    public void test02RatedTags()
                         throws org.apache.any23.extractor.ExtractionException,
                                IOException,
                                org.openrdf.repository.RepositoryException

  Throws:
    `org.apache.any23.extractor.ExtractionException`
    `IOException`
    `org.openrdf.repository.RepositoryException`

### test03NoHcardForItem

    public void test03NoHcardForItem()
                              throws org.apache.any23.extractor.ExtractionException,
                                     IOException,
                                     org.openrdf.repository.RepositoryException

  Throws:
    `org.apache.any23.extractor.ExtractionException`
    `IOException`
    `org.openrdf.repository.RepositoryException`

### extract

    protected void extract(String filename)
                    throws org.apache.any23.extractor.ExtractionException,
                           IOException

  Description copied from class: `AbstractExtractorTestCase`
  Applies the extractor provided by the `AbstractExtractorTestCase.getExtractorFactory()` to the specified resource.

  Overrides:
    `extract` in class `AbstractExtractorTestCase`
  Parameters:
    `filename` - resource name.
  Throws:
    `org.apache.any23.extractor.ExtractionException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.